- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# QTextOption::Tab Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 69 of file qtextoption.h.

`#include <qtextoption.h>`

List of all members.

## Public Member Functions
| Tab ()
| Tab (qreal pos, TabType tabType, QChar delim=QChar())
bool | operator== (const Tab &other) const
bool | operator!= (const Tab &other) const
## Public Attributes
qreal | position
TabType | type
QChar | delimiter

## Constructor & Destructor Documentation

Tab | ( |  | ) | `[inline]`

Definition at line 70 of file qtextoption.h.

    : position(80), type(QTextOption::LeftTab) { }

Tab | ( | qreal | pos,
|  | TabType | tabType,
|  | QChar | delim = `QChar()`
| ) |  | `[inline]`

Definition at line 71 of file qtextoption.h.

                : position(pos), type(tabType), delimiter(delim) {}

## Member Function Documentation

bool operator== | ( | const Tab & | other | ) | const `[inline]`

Definition at line 74 of file qtextoption.h.

                                                           {
                return type == other.type
                       && qFuzzyCompare(position, other.position)
                       && delimiter == other.delimiter;
            }

bool operator!= | ( | const Tab & | other | ) | const `[inline]`

Definition at line 80 of file qtextoption.h.

                                                           {
                return !operator==(other);
            }

## Member Data Documentation

qreal position

Search for all occurrences

Definition at line 84 of file qtextoption.h.

TabType type

Search for all occurrences

Definition at line 85 of file qtextoption.h.

QChar delimiter

Search for all occurrences

Definition at line 86 of file qtextoption.h.

The documentation for this struct was generated from the following file:

- QtGui/qtextoption.h